VisualEditor: Display references rendered by {{#tag:ref}} in superscript
Closed, ResolvedPublic

Description

Screenshot of odd rendering when using {{#tag:ref}}

https://www.mediawiki.org/wiki/VisualEditor/Basic_example_worksheet?veaction=edit

See attachment, [11] renders as span instead of as <sup> (like [10]) and as such isn'y styled correctly (text is too big).


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz50978.
Krinkle created this task.Via LegacyJul 8 2013, 8:53 PM
jayvdb added a comment.Via ConduitJul 15 2013, 1:06 AM

This is confusing because the lack of superscript makes these refs look like an external link.

This happens with all pages that use [[Template:Geographic reference]], which the English template page says is "a very large number of Wikipedia articles", and that template exists in 15 other Wikipedias including a few on the 'maybe' list for 22 July deployment.

Example in the wild:

https://en.wikipedia.org/wiki/Branford,_Florida?veaction=edit

Catrope added a comment.Via ConduitJul 15 2013, 1:13 AM

Parsoid incorrectly renders references as <span>s. The ones directly in the main documented are rendered as <sup>s by VE, but we don't control the ones in templates and other generated content (and #tag is a ParserFunction).

Catrope added a comment.Via ConduitJul 15 2013, 1:15 AM

(In reply to comment #2)

Parsoid incorrectly renders references as <span>s. The ones directly in the
main documented are rendered as <sup>s by VE, but we don't control the ones
in
templates and other generated content (and #tag is a ParserFunction).

Ugh, didn't see James's summary edit. Moving back to VE.

We could probably add CSS to make <span class="reference"> render as a superscript, or munge it in some other way. Though ideally I'd like us to convince Parsoid to render references as <sup>s the way the PHP parser does.

gerritbot added a comment.Via ConduitJul 16 2013, 4:20 PM

Change 73980 had a related patch set uploaded by Esanders:
Fake superscript style for references generated as spans

https://gerrit.wikimedia.org/r/73980

gerritbot added a comment.Via ConduitJul 16 2013, 4:42 PM

Change 73980 merged by jenkins-bot:
Fake superscript style for references generated as spans

https://gerrit.wikimedia.org/r/73980

Jdforrester-WMF added a comment.Via ConduitJul 16 2013, 4:53 PM

Fixed and will go out later today.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.